package ai.chat2db.server.web.api.controller.user;

import org.slf4j.LoggerFactory;
import ai.chat2db.server.web.api.controller.user.request.LicenseDoubleValidRequest;
import jakarta.validation.Valid;
import org.springframework.web.bind.annotation.RequestBody;
import ai.chat2db.server.web.api.controller.user.request.LicenseValidRequest;
import org.springframework.web.bind.annotation.PostMapping;
import ai.chat2db.server.domain.api.model.User;
import org.springframework.web.bind.annotation.GetMapping;
import ai.chat2db.server.tools.base.wrapper.result.DataResult;
import org.slf4j.Logger;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping({ "/api/license" })
public class LicenseController
{
    private static final Logger log;
    
    @GetMapping({ "/get_device_a" })
    public DataResult<String> getDevice() {
        return null;
    }
    
    @PostMapping({ "/start_trial_a" })
    public DataResult<User> startTrial() {
        return null;
    }
    
    @PostMapping({ "/activate_cer_a" })
    public DataResult<User> activateCer(@RequestBody @Valid final LicenseValidRequest request) {
        return null;
    }
    
    @PostMapping({ "/activate_license_a" })
    public DataResult<User> validLicense(@RequestBody @Valid final LicenseValidRequest request) {
        return null;
    }
    
    @PostMapping({ "/license_check_passcode_a" })
    public DataResult<Boolean> licenseCheckPasscode(@RequestBody @Valid final LicenseDoubleValidRequest request) {
        return null;
    }
    
    @PostMapping({ "/remove_license" })
    public DataResult<Boolean> removeLicense(@RequestBody @Valid final LicenseValidRequest request) {
        return null;
    }
    
    private String getMachineCode() {
        return null;
    }
    
    static {
        log = LoggerFactory.getLogger(LicenseController.class);
    }
}
